// Ein ATtiny13 steuert ein kleines Ampelmodell
// Folgende Zuordnungen gelten:
// PB0:Auto rot, PB1:Auto gelb, PB2: Auto grn
// PB3: Fugnger rot, PB4:Fugnger grn
// auf einem Steckboard
// Hermann Nieder, Juni 2011

#define F_CPU 1200000UL
#include <avr/io.h>
#include<util/delay.h>


unsigned char adwert; 

 int main(void) {
  
 DDRB =31;  //PORTB 0 - PORTB4 sind Ausgnge

 PORTB=12;  //Auto grn, Fugnger rot
	
 

 while (1) // Endlosschleife
 {
	ADMUX = (1<<ADLAR);  //8-Bit-Messung
	ADCSRA =(1<<ADEN); // ADC ein
	ADCSRA|= (1<<ADSC)| (1<<ADPS2);	//Wandlung starten, Clock/16
 adwert= ADCH;  
_delay_ms(20); //20 ms warten
 adwert= ADCH;

if (adwert > 210) // wenn Taste gedrckt und adwert grer als 210, 
                 // dann Ampelsteuerung fr Fugnger 
{
 _delay_ms(2000); 
 
 PORTB =10;  // Auto gelb, Fugnger rot
 _delay_ms(2000); 
 
 PORTB =9;
 _delay_ms(2000); // Auto rot, Fugnger rot
 
 PORTB =17;
 _delay_ms(4000); //lange Grnphase fr Fugnger
 PORTB =9;
 _delay_ms(2000); //Auto rot, Fugnger rot
 PORTB =11;
 _delay_ms(2000); // Auto rot-gelb, Fugnger rot
PORTB =12;
_delay_ms(2000);  //Auto grn, Fugnger rot
//adwert= 0;
 }
 
 else
 {
 PORTB=12;      // Auto grn, Fugnger rot
  }
}
 return 0;
 }
